Node('electromagnet.psi.ch',
     'electromagnet SPS',
     'tcp://5000',
     )

IO('io_mf', uri='192.168.2.2:2000')
IO('io_mot', uri='serial:///dev/ttyS2?baudrate=115200')


Mod('mf',
    'frappy_psi.electromagnet.Magnet',
    'magnetic field',
    meaning=('magneticfield', 10),
    io='io_mf')

Mod('mot',
    'frappy_psi.phytron.Motor',
    'sample changer motor',
    io='io_mot',
    value=Param(unit='mm'),
    check_limit_switches=True,
    encoder_mode='CHECK',
    encoder_type='absolute',
    target_min = 10,
    target_max = 210,
)

Mod('sample',
    'frappy_psi.electromagnet.SampleHolder',
    'sample holder position',
    motor='mot',
    )
